package net

import (
	"git.loafle.net/overflow/overflow_discovery/net/model"
)

type DiscoveryConfig struct {
	ZoneConfig    *DiscoveryZoneConfig
	HostConfig    *DiscoveryHostConfig
	PortConfig    *DiscoveryPortConfig
	ServiceConfig *DiscoveryServiceConfig
}

type DiscoveryZoneConfig struct {
	ExcludePatterns []string `json:"excludePatterns"`
}

type DiscoveryHostConfig struct {
	DiscoveryZone  model.DiscoveryZone
	FirstScanRange int   `json:"firstScanRange"`
	LastScanRange  int   `json:"lastScanRange"`
	ExcludeHosts   []int `json:"excludeHosts"`
}

type DiscoveryPortConfig struct {
}

type DiscoveryServiceConfig struct {
}
